﻿pyILPER virtual devices gallery
===============================

Index
-----

* [User Interface](#user-interface)
* [Drive](#drive)
* [Generic Printer](#generic-printer)
* [Terminal](#terminal)
* [Scope](#scope)
* [HP-7470A Plotter](#hp-7470a-plotter)
* [HP-82162A thermal printer](#hp-82162a-thermal-printer)
* [ThinkJet HP-2225B printer](#thinkjet-hp-2225b-printer)

User Interface
--------------
![pyilper](https://github.com/bug400/pyilper/raw/master/img/pyilper_floatwindows.png)

Features:
* The virtual device tabs can be undocked from the main application and used as independent floating windows (see above)
* The GUI settings like font sizes can be configured individually for each device
* The local configuration of the devices is fast and easy accessible by cascading menus

Drive
-----
![pyilper](https://github.com/bug400/pyilper/raw/master/img/pyilper_drive.png)

Features:
* Emulates a HP82161A tape drive, a HP9114B drive (filbert only) or a HDRIVE1 device with medium sizes up to 16 MB
* Self updating directory listing 
* File management functions (load external file, export to external file, rename, purge, view)
* Medium management functions (initialize, label, pack)

Generic Printer
---------------
![pyilper](https://github.com/bug400/pyilper/raw/master/img/pyilper_printer.png)

Features:
* 80 or 132 column output
* Multiple color schemes
* HP-41, HP-71 or Roman-8 character set
* Scrollable
* Select and copy text 
* Log to external file

Terminal
--------
![pyilper](https://github.com/bug400/pyilper/raw/master/img/pyilper_terminal.png)

Features:
* Supports all edit functions of the HP-71
* 80 or 132 column output
* Multiple color schemes
* HP-41, HP-71 or Roman-8 character set
* Scrollable
* Select, copy and paste text
* Configurable keyboard shortcuts

Scope
-----
![pyilper](https://github.com/bug400/pyilper/raw/master/img/pyilper_scope.png)

Features:
* Display mnemoic or hex codes
* Display incoming or outgoing traffic
* 80 or 132 column output
* Multiple color schemes
* Scrollable
* Select and copy text 
* Log to external file

HP-7470A Plotter
----------------
![pyilper](https://github.com/bug400/pyilper/raw/master/img/pyilper_plotter.png)

Features:
* Supports all HP-GL commands of the HP7470A
* AA, AR, CI commands additionally supported
* Digitizing support
* PDF output
* Configurable paper size
* Logging of HP-GL commands to external file

HP-82162A thermal printer
-------------------------
![pyilper](https://github.com/bug400/pyilper/raw/master/img/pyilper_thermal.png)

Features:
* Supports all features of the HP82162A thermal printer except for bar code generation
* Scrollable printer output window
* PDF output

ThinkJet HP-2225B printer
-------------------------
![pyilper](https://github.com/bug400/pyilper/raw/master/img/pyilper_hp2225.png)

Features:
* Supports output of text and graphics
* Supports all PCL printer control commands that are applicable for an emulator
* Scrollable printer output window
* PDF output

